# -*- rpm-spec -*-
# $Id: directfb,v 1.15 2003/12/12 12:45:37 grigory Exp $

%define realname DirectFB
%define srcname %realname-%version

%set_automake_version 1.4

Name: directfb
Version: 0.9.17
Release: alt2

Summary: %realname - drivers and binaries
License: GPL
Group: System/Libraries
Url: http://www.directfb.org

Source: %url/download/%realname/%srcname.tar.gz

Requires: lib%name = %version-%release

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: freetype2-devel glibc-devel-static libflash-devel libjpeg-devel libmpeg3-devel libpng-devel zlib-devel
BuildRequires: automake_1.4

%description
%realname is a graphics library which was designed with embedded systems
in mind. It offers maximum hardware accelerated performance at a minimum
of resource usage and overhead.
Check %url for more and uptodate infos.

%package -n lib%name
Summary: %realname - graphics and windowing library on Linux framebuffer
Group: System/Libraries

%description -n lib%name
%realname is a graphics library which was designed with embedded systems
in mind. It offers maximum hardware accelerated performance at a minimum
of resource usage and overhead.
Check %url for more and uptodate infos.

%package devel
Summary: Includes and other files for devel %realname applications
Group: Development/C
Requires: %name = %version-%release

%description devel
Devel for %realname is a graphics library which was designed with embedded systems
in mind. It offers maximum hardware accelerated performance at a minimum
of resource usage and overhead.
Check %url for more and uptodate infos.

%prep
%setup -q -n %srcname
find . -type f -exec %__subst "s|/usr/local|%_prefix|" {} \;

%build
%__automake
./configure --disable-avifile --with-libmpeg3=%_includedir/libmpeg3
%make_build

%install
%makeinstall \
	LIBDIR="%buildroot%_libdir/%name" \
	DATADIR="%buildroot%_datadir/%name"

# Remove .la files
find %buildroot -type f -name "*.la" -exec %__rm -f {} \;

find %buildroot%_libdir/%name -type l -name "*.so*" |%__sed "s|%buildroot||">> %name.filelist
find %buildroot -type f -name "*.pc"  |%__sed "s|%buildroot||">> %name-devel.filelist
# find %buildroot -type f -name "*.la"  |%__sed "s|%buildroot||">> %name-devel.filelist
%__subst "s|<\(core/fusion/fusion_types.h\)>|<directfb-internal/\1>|" %buildroot%_includedir/directfb-internal/misc/conf.h

%files -f %name.filelist
%doc TODO fb.modes
%dir %_libdir/%name-%version
%_bindir/*
%_datadir/%{name}*
%_libdir/%name-%version/*
%_man1dir/*
%_man5dir/*

%files -n lib%name
%doc AUTHORS ChangeLog NEWS README
%_libdir/lib%{name}*.so*

%files devel -f %name-devel.filelist
%_includedir/*

%changelog
* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 0.9.17-alt2
- remove *.la files due policy

* Tue Apr 15 2003 Grigory Milev <week@altlinux.ru> 0.9.17-alt1
- new version released

* Fri Feb 28 2003 Grigory Milev <week@altlinux.ru> 0.9.16-alt1
- new version released

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 0.9.13-alt1
- new version released
- rebuild with gcc3
- remover perl from build requires

* Mon Apr 29 2002 Grigory Milev <week@altlinux.ru> 0.9.9-alt2
- libification

* Tue Apr  9 2002 Grigory Milev <week@altlinux.ru> 0.9.9-alt1
- new version released
- remove all examples, now in separated package

* Fri Oct 12 2001 AEN <aen@logic.ru> 0.9.6-alt2
- rebuilt with libpng.so.3

* Mon Oct  8 2001 Grigory Milev <week@altlinux.ru> 0.9.6-alt1
- new version released
- move development files to separated package

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9.5-alt2
- Built with system libtool.

* Fri Sep 14 2001 Grigory Milev <week@altlinux.ru> 0.9.5-alt1
- New version 0.9.5.

* Tue Aug 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9.4-alt2
- Enabled libmpeg3 support.

* Fri Jul 27 2001 Grigory Milev <week@altlinux.ru> 0.9.4-alt1
- First build for Sisyphus


